Function
viterbiAlgorithm
Implements the Viterbi algorithm
The Viterbi algorithm computes the most likely sequence of hidden states of the Hidden Markov Model hmm given the sequence seq using dynamic programming. The result is the most likely sequence of hidden states and returned in path.
TProbability viterbiAlgorithm(hmm, seq, path);
Include Headers
seqan/graph_algorithms.h
Parameters

hmm | In-parameter:Input HMM. Types: Hmm
seq | In-parameter:Input sequence.
path | Out-parameter:State path.

Remarks
See the Wikipedia article on the Viterbi algorithm for an introduction to the algorithm itself.
Return Values
Probability of the path, the type parameter TCargo from type of hmm.
See Also
backwardAlgorithm, forwardAlgorithm
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59